SoScXMLFlightControlTarget(3)

NAME
SoScXMLFlightControlTarget - SCXML navigation service for typical flight motions.

SYNOPSIS

#include <Inventor/navigation/SoScXMLFlightControlTarget.h>

Inherits SoScXMLNavigationTarget.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

  Static Public Member Functions
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)
static SoScXMLFlightControlTarget * constructSingleton (void)
static void destructSingleton (void)
static SoScXMLFlightControlTarget * singleton (void)
static const SbName & PITCH (void)
static const SbName & YAW (void)
static const SbName & ROLL (void)
static const SbName & RESET_ROLL (void)
static void pitch (SoCamera *camera, float radians)
static void yaw (SoCamera *camera, float radians)
static void roll (SoCamera *camera, float radians)
static void resetRoll (SoCamera *camera, const SbVec3f &upvector)

  Protected Member Functions
virtual SbBool processOneEvent (const ScXMLEvent *event)

  Additional Inherited Members

Detailed Description

SCXML navigation service for typical flight motions. EVENTS:

PITCH _sessionid angle

YAW _sessionid angle

ROLL _sessionid angle

Member Function Documentation

  SoType SoScXMLFlightControlTarget::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements SoScXMLNavigationTarget.

  SbBool SoScXMLFlightControlTarget::processOneEvent (const ScXMLEvent * event) [protected], [virtual]
This function processes one event. The base class implementation does nothing.

Reimplemented from ScXMLEventTarget.

Author

Generated automatically by Doxygen for Coin from the source code.